curl --request GET \
--url https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/")
.header("Authorization", "Basic <encoded-value>")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://ivs.idenfy.com/aml/checks/{id}/profiles/{profileId}/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Basic <encoded-value>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"version": 123,
"resourceId": "<string>",
"lastName": "<string>",
"aliases": [
{
"type": "ORIGINAL_SCRIPT_NAME",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>"
}
],
"datesOfBirth": [
"<string>"
],
"datesOfDeath": [
"<string>"
],
"nationalities": [
"AF"
],
"addresses": [
{
"country": "AF",
"addressType": "PLACE_OF_BIRTH",
"line1": "<string>",
"line2": "<string>",
"postcode": "<string>",
"city": "<string>",
"county": "<string>",
"countyAbbrev": "<string>"
}
],
"profileImages": [
"<string>"
],
"notes": [
{
"value": "<string>"
}
],
"contactEntries": [
{
"category": "TELEPHONE",
"value": "<string>"
}
],
"identifiers": [
{
"category": "<string>",
"value": "<string>"
}
],
"evidences": [
{
"evidenceId": "<string>",
"originalUrl": "<string>",
"datasets": [
"PEP_CURRENT"
],
"isCopyrighted": false,
"title": "<string>",
"credibility": "LOW",
"language": "<string>",
"summary": "<string>",
"keywords": "<string>",
"captureDate": "<string>",
"publicationDate": "<string>",
"assetUrl": "<string>"
}
],
"sanEntries": {
"current": [
{
"measures": [
"<string>"
],
"regime": {
"body": "<string>",
"origin": "<string>",
"bodyId": 123,
"name": "<string>",
"types": [
"COUNTER_NARCOTICS"
]
},
"events": [
{
"type": "ADDED",
"date": "<string>",
"evidenceIds": [
"<string>"
]
}
],
"sanctionId": "<string>"
}
],
"former": [
{
"measures": [
"<string>"
],
"regime": {
"body": "<string>",
"origin": "<string>",
"bodyId": 123,
"name": "<string>",
"types": [
"COUNTER_NARCOTICS"
]
},
"events": [
{
"type": "ADDED",
"date": "<string>",
"evidenceIds": [
"<string>"
]
}
],
"sanctionId": "<string>"
}
]
},
"relEntries": [
{
"category": "FINANCIAL_REGULATOR",
"subcategory": "<string>",
"events": [
{
"type": "<string>",
"evidenceIds": [
"<string>"
],
"currencyCode": "<string>",
"amount": 123,
"period": {
"days": 123,
"years": 123,
"months": 123
},
"date": "<string>"
}
]
}
],
"rreEntries": [
{
"category": "<string>",
"events": [
{
"type": "<string>",
"evidenceIds": [
"<string>"
],
"date": "<string>"
}
],
"subcategory": "<string>"
}
],
"poiEntries": [
{
"category": "<string>",
"evidenceIds": [
"<string>"
],
"positions": [
{
"position": "<string>",
"segment": "<string>",
"country": "AF",
"dateFrom": "<string>",
"dateTo": "<string>"
}
]
}
],
"insEntries": [
{
"type": "<string>",
"evidenceIds": [
"<string>"
],
"insolvencyIdNumber": "<string>",
"solicitor": "<string>",
"court": "<string>",
"petitioner": "<string>",
"debt": "<string>",
"accountantInBankruptcyCaseNumber": "<string>",
"insolvencyStartDate": "<string>",
"insolvencyEndDate": "<string>",
"hearingDate": "<string>",
"presentedDateOfPetition": "<string>",
"gazetteIssueDate": "<string>",
"awardDate": "<string>",
"firstOrderDate": "<string>"
}
],
"ddEntries": [
{
"reason": "<string>",
"evidenceIds": [
"<string>"
],
"caseReference": "<string>",
"conduct": "<string>",
"dateFrom": "<string>",
"dateTo": "<string>"
}
],
"pepEntries": {
"current": [
{
"position": "<string>",
"evidenceIds": [
"<string>"
],
"country": "AF",
"segment": "<string>",
"dateFrom": "<string>",
"dateTo": "<string>"
}
],
"former": [
{
"position": "<string>",
"evidenceIds": [
"<string>"
],
"country": "AF",
"segment": "<string>",
"dateFrom": "<string>",
"dateTo": "<string>"
}
],
"pepTier": "PEP_TIER_1"
},
"pepByAssociationEntries": [
{
"resourceId": "<string>",
"evidenceIds": [
"<string>"
]
}
],
"individualLinks": [
{
"resourceId": "<string>",
"relationship": "<string>",
"lastName": "<string>",
"datasets": [
"PEP_CURRENT"
],
"ownershipPercentage": 123,
"firstName": "<string>",
"middleName": "<string>"
}
],
"businessLinks": [
{
"resourceId": "<string>",
"relationship": "<string>",
"name": "<string>",
"datasets": [
"PEP_LINKED"
],
"ownershipPercentage": 123,
"individualLinks": [
{
"resourceId": "<string>",
"relationship": "<string>",
"lastName": "<string>",
"datasets": [
"PEP_CURRENT"
],
"ownershipPercentage": 123,
"firstName": "<string>",
"middleName": "<string>"
}
]
}
],
"griEntries": [
{
"evidenceId": "<string>",
"title": "<string>",
"summary": "<string>",
"keywords": "<string>"
}
],
"datasets": [
"PEP_CURRENT"
],
"firstName": "<string>",
"middleName": "<string>",
"gender": "MALE",
"isDeleted": false,
"deletionReason": {
"reason": "GOVERNMENT_POSITION_OUT_OF_SCOPE",
"otherReason": "<string>"
},
"isDeceased": false
}Retrieve AML check profile
Authorizations
The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.
Path Parameters
A UUID string identifying this AML check.
resourceId from AML database search result.
Response
- Option 1
- Option 2
The version number can be used by clients to detect when a profile has been changed by our research team.
The resource ID can be used to retrieve the full profile or the PDF of the individual.
The last name of the individual.
Defines a list of aliases for the individual.
Show child attributes
Show child attributes
The list of birth dates for the individual.
The list of death dates for the individual.
List of the individual's nationalities.
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CK, CR, CI, HR, CU, CW, CY, CZ, CD, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, KP, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VA, VE, VN, VG, VI, WF, EH, YE, ZM, ZW The list of the individual's addresses.
Show child attributes
Show child attributes
Contains a list of URLs to profiles images for the individual.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Serializer for current and former sanction entries.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Serializer for current and former PEP entries.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The profile datasets
- PEP_CURRENT - Only current PEPs
- PEP_FORMER - Only former PEPs
- PEP_LINKED - Only linked PEPs (PEP by Association)
- SAN_CURRENT - Only current Sanctions
- SAN_FORMER - Only former Sanctions
- INS - Insolvency
- RRE - Reputational Risk Exposure
- DD - Disqualified Director
- POI - Profile Of Interest
- REL - Regulatory Enforcement List
- GRI - Gambling Risk Intelligence.
PEP_CURRENT, PEP_FORMER, PEP_LINKED, SAN_CURRENT, SAN_FORMER, INS, RRE, DD, POI, REL, GRI The first name of the individual.
The middle name of the individual.
The gender of the individual.
MALE, FEMALE A true value indicates that the individual has been deleted by our research team.
Show child attributes
Show child attributes
A true value indicates that the individual is deceased.
Was this page helpful?